[Synapse](https://github.com/matrix-org/synapse) homeserver for the [matrix](http://matrix.org/) network.

# Volumes
- `/var/lib/matrix-synapse/media_store/`
- `/var/lib/matrix-synapse/signing/`
- `/var/lib/matrix-synapse/registrations/`

# Environment Variables
## SERVER_NAME
Name of the synapse server.

## PUBLIC_BASE_URL
Full base url.

## SHARED_SECRET
If set, allows registration by anyone who also has the shared secret, even if registration is otherwise disabled.

## MACAROON_SECRET_KEY
Secret key for macaroon.

## FORM_SECRET_KEY
Secret key to calculate HMACs for form values.

## TURN_URIS
Comma seperated list of TURN servers to use.

## TURN_SHARED_SECRET
The shared secret used to compute passwords for the TURN server

## TURN_USER_LIFETIME
- default: 1h

How long generated TURN credentials last.

## ADMIN_EMAIL
Email at which the administrator can be reached.

## DB_HOST
Database host.

## DB_NAME
Database name.

## DB_USER
Database user.

## DB_PASSWORD
Password for the database user.

## MAX_UPLOAD_SIZE
- default: 10M

The largest allowed upload size.

## MAX_THUMBNAIL_PIXELS
- default: 32M

Maximum number of pixels that will be thumbnailed.

## DYNAMIC_THUMBNAILS
- default: True

Whether to generate new thumbnails on the fly to precisely match the resolution requested by the client.

## REGISTRATIONS
- default: []

Comma seperated list of registration files to load.

Whether to report statistics.

# Ports
- 8008

# Capabilities
- CHOWN
- DAC_OVERRIDE
- FOWNER
- NET_BIND_SERVICE
- SETGID
- SETUID
